Summary:	Userland scripts to control "laptop mode"
Name:		laptop-mode-tools
Version:	1.60
Release:	%mkrel 1
Source0:	http://www.samwel.tk/laptop_mode/tools/downloads/%{name}_%{version}.tar.gz
Patch1:		laptop-mode-tools-1.11-lsb.patch
Patch3:		brcmsmac-has-no-power-management-support.patch
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://www.samwel.tk/laptop_mode/laptop_mode
Conflicts:	suspend-scripts < 1.9.2
Requires:	hdparm
Requires:	sdparm
Requires(post):	rpm-helper
Requires(preun):rpm-helper
BuildArch:	noarch

%description
Userland scripts to control "laptop mode". Laptop mode is a Linux
kernel feature that allows your laptop to save considerable power, by
allowing the hard drive to spin down for longer periods of time. This
package contains the userland scripts that are needed to enable laptop
mode.

%prep
%setup -q -n %{name}_%{version}
%patch1 -p1 -b .lsb
%patch3 -p1

%install
#not created during install
mkdir -p %{buildroot}%{_sysconfdir}/pm/sleep.d

DESTDIR=%{buildroot} \
INIT_D=%{buildroot}%{_initrddir} \
MAN_D=%{_mandir} \
INSTALL="install" \
  ./install.sh

%post
%_post_service laptop-mode

%preun
%_preun_service laptop-mode

%files
%doc README
%{_sbindir}/*
%{_prefix}/lib/pm-utils/sleep.d/01laptop-mode
%dir %{_sysconfdir}/laptop-mode
%{_sysconfdir}/laptop-mode/*-start
%{_sysconfdir}/laptop-mode/*-stop
%dir %{_sysconfdir}/laptop-mode/*.d
%config(noreplace) %{_sysconfdir}/laptop-mode/conf.d/*.conf
%config(noreplace) %{_sysconfdir}/laptop-mode/*.conf
%config(noreplace) %{_sysconfdir}/acpi/events/*
%attr(755,root,root) %{_sysconfdir}/acpi/actions/*
%{_sysconfdir}/udev/rules.d/99-laptop-mode.rules
%{_sysconfdir}/power/event.d/laptop-mode
%{_sysconfdir}/power/scripts.d/laptop-mode
%{_sysconfdir}/apm
%{_sysconfdir}/pm
%{_initrddir}/*
/lib/udev/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/modules
%{_datadir}/%{name}/modules/*
%{_datadir}/%{name}/module-helpers/*
%{_mandir}/man8/*


%changelog
* Wed Jan 04 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.60-1mdv2011.0
+ Revision: 753460
- version update 1.60

* Wed Oct 05 2011 Leonardo Coelho <leonardoc@mandriva.org> 1.59-1
+ Revision: 703141
- bump new version and remove kernel-detection patch

* Fri Sep 09 2011 Franck Bui <franck.bui@mandriva.com> 1.57-3
+ Revision: 699141
- brcmsmac has no power management support
- add the actual patch for previous commit
- Don't be fooled by 3.x kernel releases
- Update to 1.57

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 1.55-2
+ Revision: 666059
- mass rebuild

  + Shlomi Fish <shlomif@mandriva.org>
    - Type: add a missing dot.

* Sun Jul 11 2010 Emmanuel Andry <eandry@mandriva.org> 1.55-1mdv2011.0
+ Revision: 550746
- New version 1.55

* Mon Mar 22 2010 Emmanuel Andry <eandry@mandriva.org> 1.54-1mdv2010.1
+ Revision: 526613
- New version 1.54

* Sun Jan 03 2010 Frederik Himpe <fhimpe@mandriva.org> 1.53-1mdv2010.1
+ Revision: 485866
- update to new version 1.53

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 1.52-1mdv2010.1
+ Revision: 462190
- update to new version 1.52

* Tue Sep 01 2009 Frederik Himpe <fhimpe@mandriva.org> 1.51-1mdv2010.0
+ Revision: 423712
- update to new version 1.51

* Mon Jul 27 2009 Frederik Himpe <fhimpe@mandriva.org> 1.50-1mdv2010.0
+ Revision: 400835
- Update to new version 1.50

* Wed Jun 10 2009 Frederik Himpe <fhimpe@mandriva.org> 1.49-1mdv2010.0
+ Revision: 384903
- update to new version 1.49

* Thu Feb 12 2009 Frederik Himpe <fhimpe@mandriva.org> 1.47-1mdv2009.1
+ Revision: 339857
- Update to new version 1.47

* Mon Jan 26 2009 Emmanuel Andry <eandry@mandriva.org> 1.46-1mdv2009.1
+ Revision: 333805
- New version 1.46
- update files list

* Fri Aug 29 2008 Olivier Blin <blino@mandriva.org> 1.45-2mdv2009.0
+ Revision: 277278
- package modules so that laptop-mode-tools work again (broken as of 1.40 release, #43286)
- package pmu scripts
- use upstream install script

* Tue Jul 15 2008 Frederik Himpe <fhimpe@mandriva.org> 1.45-1mdv2009.0
+ Revision: 236162
- update to new version 1.45

* Mon Jun 23 2008 Frederik Himpe <fhimpe@mandriva.org> 1.43-1mdv2009.0
+ Revision: 228393
- New version 1.43

* Mon May 12 2008 Frederik Himpe <fhimpe@mandriva.org> 1.42-1mdv2009.0
+ Revision: 206234
- New version

* Wed Apr 23 2008 Frederik Himpe <fhimpe@mandriva.org> 1.41-1mdv2009.0
+ Revision: 196987
- New version
- Fix license

* Tue Mar 25 2008 Olivier Blin <blino@mandriva.org> 1.36-3mdv2008.1
+ Revision: 189843
- make sure acpid action scripts are executable

* Mon Mar 03 2008 Olivier Blin <blino@mandriva.org> 1.36-2mdv2008.1
+ Revision: 177933
- rebuild to fix changelog

* Mon Mar 03 2008 Olivier Blin <blino@mandriva.org> 1.36-1mdv2008.1
+ Revision: 177873
- 1.36 (defaults to ondemand on AC power)

* Tue Feb 12 2008 Olivier Blin <blino@mandriva.org> 1.35-2mdv2008.1
+ Revision: 166315
- do not require obsolete acpi service in initscript
- update URL

* Fri Jan 04 2008 Olivier Blin <blino@mandriva.org> 1.35-1mdv2008.1
+ Revision: 144950
- remove unapplied HD_IDLE_TIMEOUT settings from spec
- 1.35
- remove LSB echo patch (fixed upstream)
- restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.32-2mdv2008.1
+ Revision: 128328
- kill re-definition of %%buildroot on Pixel's request

